<html devsite>
  <head>
    <title>Request creation and submission</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->



<h2 id="default-settings">Default requests</h2>
<p>To construct default capture requests, call
  <a href="/reference/hidl/android/hardware/camera/device/3.2/ICameraDeviceSession#constructdefaultrequestsettings">ICameraDeviceSession::constructDefaultRequestSettings()</a>.</p>
<h2 id="request-submission">Request submission</h2>
<p>To submit camera capture requests, call
  <a href="/reference/hidl/android/hardware/camera/device/3.2/ICameraDeviceSession#processcapturerequest">ICameraDeviceSession::processCaptureRequest()</a>.</p>
<h2 id="misc-methods">Miscellaneous methods</h2>
<h3 id="request-result-message-queues">Request/result message queues</h3>
<p>Camera capture result and request IPC overhead can be further optimized via
  <a href="/devices/architecture/hidl/fmq">fast message queues</a>. Call the
  <a href="/reference/hidl/android/hardware/camera/device/3.2/ICameraDeviceSession#getcapturerequestmetadataqueue">ICameraDeviceSession::getCaptureRequestMetadataQueue()</a>
  and
  <a href="/reference/hidl/android/hardware/camera/device/3.2/ICameraDeviceSession#getcaptureresultmetadataqueue">ICameraDeviceSession::getCaptureResultMetadataQueue()</a>
  methods to query the corresponding queues.</p>
<h3 id="flush">flush</h3>
<p>To flush any pending capture requests, call
  <a href="/reference/hidl/android/hardware/camera/device/3.2/ICameraDeviceSession#flush">ICameraDeviceSession::flush()</a>.</p>
  </body>
</html>
